Bug 153984 - Update security/gnupg to 2.0.17
Update security/gnupg to 2.0.17
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: dougb
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-14 08:00 UTC by dougb
Modified: 2011-02-08 03:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.66 KB, patch)
2011-01-14 08:00 UTC, dougb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dougb freebsd_committer 2011-01-14 08:00:21 UTC
	Version 2.0.17 was released on 2011-01-13:

What's New
===========
* Allow more hash algorithms with the OpenPGP v2 card.
* The gpg-agent now tests for a new gpg-agent.conf on a HUP.
* Fixed output of "gpgconf --check-options".
* Fixed a bug where Scdaemon sends a signal to Gpg-agent running in
  non-daemon mode.
* Fixed TTY management for pinentries and session variable update
  problem.
* Minor bug fixes.

For the port:
Camellia stopped being a configure option in 2.0.12
Fix minor typo for GPGSM OPTION
Minor plist update for 2.0.17

Fix: Apply the following patch:
How-To-Repeat: 	DNA
Comment 1 Edwin Groothuis freebsd_committer 2011-01-14 08:00:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 umq 2011-01-16 16:02:33 UTC
Hi,

I attach an updated patch:
1. files/patch-keybox-blob.c seems to be no longer needed:
   build with WITH_GPGSM fails.
2. add an option for gpgtar


Regards,
-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp

cvs diff: Diffing .
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/security/gnupg/Makefile,v
retrieving revision 1.136
diff -u -r1.136 Makefile
--- Makefile	14 Jan 2011 07:42:10 -0000	1.136
+++ Makefile	16 Jan 2011 15:59:37 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	gnupg
-PORTVERSION=	2.0.16
-PORTREVISION=	6
+PORTVERSION=	2.0.17
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_GNUPG}
 MASTER_SITE_SUBDIR=	gnupg
@@ -47,8 +46,8 @@
 OPTIONS=	LDAP "LDAP keyserver interface" off \
 		SCDAEMON "Enable Smartcard daemon (with libusb)" off \
 		CURL "Use the real curl library (worked around if no)" on \
-		GPGSM "Enable GPGSM (require LDAP)" off \
-		CAMELLIA "Enable Camellia algorithm" on \
+		GPGSM "Enable GPGSM (requires LDAP)" off \
+		GPGTAR "Enable GPGTAR" off \
 		KDNS "Use DNS CERT helper" off \
 		STD_SOCKET "Use standard socket for agent" off \
 		NLS "National Language Support" off
@@ -65,6 +64,13 @@
 PLIST_SUB+=	GPGSM=""
 .endif
 
+.if defined(WITHOUT_GPGTAR)
+PLIST_SUB+=	GPGTAR="@comment "
+.else
+CONFIGURE_ARGS+=--enable-gpgtar
+PLIST_SUB+=	GPGTAR=""
+.endif
+
 .if defined(WITH_LDAP)
 USE_OPENLDAP=	YES
 CONFIGURE_ARGS+=--with-ldap=${LOCALBASE}
@@ -74,10 +80,6 @@
 PLIST_SUB+=	LDAP="@comment "
 .endif
 
-.if defined(WITH_CAMELLIA) && !defined(WITHOUT_CAMELLIA)
-CONFIGURE_ARGS+=--enable-camellia
-.endif
-
 .if defined(WITH_KDNS) && !defined(WITHOUT_KDNS)
 LIB_DEPENDS+=	adns:${PORTSDIR}/dns/adns
 PLIST_SUB+=	ADNS=""
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/security/gnupg/distinfo,v
retrieving revision 1.52
diff -u -r1.52 distinfo
--- distinfo	20 Jul 2010 14:01:50 -0000	1.52
+++ distinfo	16 Jan 2011 15:59:37 -0000
@@ -1,6 +1,4 @@
-MD5 (gnupg-2.0.16.tar.bz2) = 88a4d46deca63d2eca29b2b611304afb
-SHA256 (gnupg-2.0.16.tar.bz2) = 0d5abb977c02ebb0f6ce25a5ba71c8df90835aa666a85acd73a9b7f9df35a80b
-SIZE (gnupg-2.0.16.tar.bz2) = 4004033
-MD5 (gnupg-2.0.16.tar.bz2.sig) = 1c6b0b9b04c06deb5ec4bd8c959e25b0
-SHA256 (gnupg-2.0.16.tar.bz2.sig) = a72156a1a231e4380225aa4c81f515ce66b787a19996f7f7d84315631be8df43
-SIZE (gnupg-2.0.16.tar.bz2.sig) = 158
+SHA256 (gnupg-2.0.17.tar.bz2) = ea649d5ecb2f97cc8d81c5796c6ad8d7d8581f9554241c39d2b11ab12139eea6
+SIZE (gnupg-2.0.17.tar.bz2) = 3997356
+SHA256 (gnupg-2.0.17.tar.bz2.sig) = 27918acebd48f93e3042c3b6f6396182bee2c9a5f0448d2063ce73986bb748ff
+SIZE (gnupg-2.0.17.tar.bz2.sig) = 287
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/security/gnupg/pkg-plist,v
retrieving revision 1.42
diff -u -r1.42 pkg-plist
--- pkg-plist	13 Jan 2009 01:24:47 -0000	1.42
+++ pkg-plist	16 Jan 2011 15:59:37 -0000
@@ -6,6 +6,7 @@
 bin/gpgparsemail
 %%GPGSM%%bin/gpgsm
 bin/gpgsm-gencert.sh
+%%GPGTAR%%bin/gpgtar
 bin/gpgv2
 %%GPGSM%%bin/kbxutil
 %%SCDAEMON%%bin/scdaemon
@@ -34,7 +35,6 @@
 %%PORTDOCS%%%%DOCSDIR%%/examples/pwpattern.list
 %%PORTDOCS%%%%DOCSDIR%%/examples/scd-event
 %%PORTDOCS%%%%DOCSDIR%%/examples/trustlist.txt
-%%PORTDOCS%%%%DOCSDIR%%/faq.html
 %%PORTDOCS%%%%DATADIR%%/com-certs.pem
 %%DATADIR%%/gpg-conf.skel
 %%PORTDOCS%%%%DATADIR%%/help.be.txt
cvs diff: Diffing files
Index: files/patch-keybox-blob.c
===================================================================
RCS file: /home/ncvs/ports/security/gnupg/files/patch-keybox-blob.c,v
retrieving revision 1.1
diff -u -r1.1 patch-keybox-blob.c
--- files/patch-keybox-blob.c	23 Jul 2010 13:43:26 -0000	1.1
+++ files/patch-keybox-blob.c	16 Jan 2011 15:59:37 -0000
@@ -1,10 +0,0 @@
---- kbx/keybox-blob.c.orig	2010-07-23 22:18:31.450982300 +0900
-+++ kbx/keybox-blob.c	2010-07-23 22:18:53.264465242 +0900
-@@ -898,6 +898,7 @@
-               rc = gpg_error_from_syserror ();
-               goto leave;
-             }
-+	    names = tmp;
-         }
-       names[blob->nuids++] = p;
-       if (!i && (p=x509_email_kludge (p)))
Comment 3 dougb freebsd_committer 2011-01-16 22:07:38 UTC
On 01/16/2011 08:02, Hirohisa Yamaguchi wrote:
> Hi,
>
> I attach an updated patch:
> 1. files/patch-keybox-blob.c seems to be no longer needed:
>     build with WITH_GPGSM fails.

Ah, didn't test that, thanks.

> 2. add an option for gpgtar

I purposely omitted that because it's really designed for Windows.

http://lists.gnupg.org/pipermail/gnupg-users/2011-January/040424.html


Doug

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/
Comment 4 dfilter freebsd_committer 2011-02-08 03:40:21 UTC
dougb       2011-02-08 03:40:16 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile distinfo pkg-plist 
  Removed files:
    security/gnupg/files patch-keybox-blob.c 
  Log:
  Version 2.0.17 was released on 2011-01-13:
  
  What's New
  ===========
  * Allow more hash algorithms with the OpenPGP v2 card.
  * The gpg-agent now tests for a new gpg-agent.conf on a HUP.
  * Fixed output of "gpgconf --check-options".
  * Fixed a bug where Scdaemon sends a signal to Gpg-agent running in
    non-daemon mode.
  * Fixed TTY management for pinentries and session variable update
    problem.
  * Minor bug fixes.
  
  For the port:
  Camellia stopped being a configure option in 2.0.12
  Fix minor typo for GPGSM OPTION
  Minor plist update for 2.0.17
  
  files/patch-keybox-blob.c seems to be no longer needed [2]
  
  PR:             ports/153984
  Submitted by:   me
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp> [2]
  Approved by:    maintainer timeout (24 days)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.137     +2 -8      ports/security/gnupg/Makefile
  1.53      +4 -6      ports/security/gnupg/distinfo
  1.2       +0 -10     ports/security/gnupg/files/patch-keybox-blob.c (dead)
  1.43      +0 -1      ports/security/gnupg/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dougb freebsd_committer 2011-02-08 03:42:17 UTC
State Changed
From-To: open->closed


Update done. 


Comment 6 dougb freebsd_committer 2011-02-08 03:42:17 UTC
Responsible Changed
From-To: kuriyama->dougb


I committed the change